Index: orxonox/trunk/src/lib/graphics/graphics_engine.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/graphics_engine.cc	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/graphics_engine.cc	(revision 4836)
@@ -30,6 +30,6 @@
 
 /**
-   \brief standard constructor
-   \todo this constructor is not jet implemented - do it
+ *  standard constructor
+   @todo this constructor is not jet implemented - do it
 */
 GraphicsEngine::GraphicsEngine ()
@@ -48,10 +48,10 @@
 
 /**
-   \brief The Pointer to this GraphicsEngine
+ *  The Pointer to this GraphicsEngine
 */
 GraphicsEngine* GraphicsEngine::singletonRef = NULL;
 
 /**
-   \brief destructs the graphicsEngine.
+ *  destructs the graphicsEngine.
 */
 GraphicsEngine::~GraphicsEngine ()
@@ -103,5 +103,5 @@
 
 /**
-   \brief initializes the Video for openGL.
+ *  initializes the Video for openGL.
 
    This has to be done only once when starting orxonox.
@@ -170,5 +170,5 @@
 
 /**
-   \brief Sets the GL-attributes
+ *  Sets the GL-attributes
 */
 int GraphicsEngine::setGLattribs()
@@ -192,8 +192,8 @@
 
 /**
-   \brief sets the Resolution of the Screen to display the Graphics to.
-   \param width The width of the window
-   \param height The height of the window
-   \param bpp bits per pixel
+ *  sets the Resolution of the Screen to display the Graphics to.
+ * @param width The width of the window
+ * @param height The height of the window
+ * @param bpp bits per pixel
 */
 int GraphicsEngine::setResolution(int width, int height, int bpp)
@@ -212,6 +212,6 @@
 
 /**
-   \brief sets Fullscreen mode
-   \param fullscreen true if fullscreen, false if windowed
+ *  sets Fullscreen mode
+ * @param fullscreen true if fullscreen, false if windowed
 */
 void GraphicsEngine::setFullscreen(bool fullscreen)
@@ -225,9 +225,9 @@
 
 /**
-   \brief sets the background color
-   \param red the red part of the background
-   \param blue the blue part of the background
-   \param green the green part of the background
-   \param alpha the alpha part of the background
+ *  sets the background color
+ * @param red the red part of the background
+ * @param blue the blue part of the background
+ * @param green the green part of the background
+ * @param alpha the alpha part of the background
 */
 void GraphicsEngine::setBackgroundColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha)
@@ -238,6 +238,6 @@
 
 /**
-   \brief Signalhandler, for when the resolution has changed
-   \param resizeInfo SDL information about the size of the new screen size
+ *  Signalhandler, for when the resolution has changed
+ * @param resizeInfo SDL information about the size of the new screen size
 */
 int GraphicsEngine::resolutionChanged(const SDL_ResizeEvent& resizeInfo)
@@ -308,5 +308,5 @@
 
 /**
-   \brief entering 2D Mode
+ *  entering 2D Mode
 
    this is a GL-Projection-mode, that is orthogonal, for placing the font in fron of everything else
@@ -341,5 +341,5 @@
 
 /**
-   \brief leaves the 2DMode again also \see Font::enter2DMode()
+ *  leaves the 2DMode again also \see Font::enter2DMode()
 */
 void GraphicsEngine::leave2DMode()
@@ -355,5 +355,5 @@
 
 /**
-   \brief stores the GL_matrices
+ *  stores the GL_matrices
 */
 void GraphicsEngine::storeMatrices()
@@ -374,5 +374,5 @@
 
 /**
-   \brief outputs all the Fullscreen modes.
+ *  outputs all the Fullscreen modes.
 */
 void GraphicsEngine::listModes()
@@ -400,6 +400,6 @@
 
 /**
-   \brief ticks the Text
-   \param dt the time passed
+ *  ticks the Text
+ * @param dt the time passed
 */
 void GraphicsEngine::tick(float dt)
@@ -426,8 +426,8 @@
 
 /**
-   \brief displays the Frames per second
-   \param display if the text should be displayed
-
-   \todo this is dangerous
+ *  displays the Frames per second
+ * @param display if the text should be displayed
+
+   @todo this is dangerous
 */
 void GraphicsEngine::displayFPS(bool display)
@@ -453,5 +453,5 @@
 /**
   \brief processes the events for orxonox main class
-  \param the event to handle
+* @param the event to handle
  */
 void GraphicsEngine::process(const Event &event)
Index: orxonox/trunk/src/lib/graphics/graphics_engine.h
===================================================================
--- orxonox/trunk/src/lib/graphics/graphics_engine.h	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/graphics_engine.h	(revision 4836)
@@ -2,5 +2,5 @@
     \file graphics_engine.h
 
-    \brief defines a Interface between orxonox and graphical input
+  *  defines a Interface between orxonox and graphical input
 
     handles graphical SDL-initialisation, textures, resolutions, and so on
@@ -27,5 +27,5 @@
   public:
     virtual ~GraphicsEngine();
-    /** \returns a Pointer to the only object of this Class */
+    /** @returns a Pointer to the only object of this Class */
     inline static GraphicsEngine* getInstance() { if (!singletonRef) singletonRef = new GraphicsEngine();  return singletonRef; };
 
@@ -40,9 +40,9 @@
 
 
-    /** \returns the x resolution */
+    /** @returns the x resolution */
     inline int getResolutionX() const { return this->resolutionX; };
-    /** \returns the y resolution */
+    /** @returns the y resolution */
     inline int getResolutionY() const { return this->resolutionY; };
-    /** \returns the Bits Per Pixel */
+    /** @returns the Bits Per Pixel */
     inline int getbbp() const { return this->bitsPerPixel; };
 
Index: orxonox/trunk/src/lib/graphics/importer/abstract_model.h
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/abstract_model.h	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/importer/abstract_model.h	(revision 4836)
@@ -16,5 +16,5 @@
 /*!
     \file abstract_model.h
-    \brief Definition of an abstract model. containing all needed for other model
+  *  Definition of an abstract model. containing all needed for other model
 */
 
Index: orxonox/trunk/src/lib/graphics/importer/array.h
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/array.h	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/importer/array.h	(revision 4836)
@@ -36,7 +36,7 @@
     void addEntry(T entry0, T entry1, T entry2);
 
-    /** \returns The array */
+    /** @returns The array */
     inline const T* getArray () const { return this->array; };
-    /**   \returns The Count of entries in the Array*/
+    /** * @returns The Count of entries in the Array*/
     inline unsigned int getCount()const { return this->entryCount; };
     inline int getIndex(T* entry) const;
@@ -61,5 +61,5 @@
 
 /**
-   \brief creates a new Array
+ *  creates a new Array
 */
 template<class T>
@@ -75,5 +75,5 @@
 
 /**
-   \brief deletes an Array.
+ *  deletes an Array.
    It does this by first deleting all the array-entries, and then delete the array[] itself
 */
@@ -95,5 +95,5 @@
 
 /**
-   \brief finalizes an array.
+ *  finalizes an array.
    This Function creates the array, and makes it ready to be sent to the application.
 */
@@ -124,6 +124,6 @@
 
 /**
-   \brief adds a new Entry to the Array
-   \param entry Entry to add.
+ *  adds a new Entry to the Array
+ * @param entry Entry to add.
 */
 template<class T>
@@ -145,5 +145,5 @@
 
 /**
-   \brief Adds 3 entries at once (convenience)
+ *  Adds 3 entries at once (convenience)
 */
 template<class T>
@@ -157,7 +157,7 @@
 
 /**
-   \brief gets back the index of the entry in the array. value check
-   \param entry: the entry to look up
-   \returns the index in the array, -1 if not found
+ *  gets back the index of the entry in the array. value check
+ * @param entry: the entry to look up
+ * @returns the index in the array, -1 if not found
  */
 template<class T>
@@ -176,5 +176,5 @@
 
 /**
-   \brief Simple debug info about the Array
+ *  Simple debug info about the Array
 */
 template<class T>
Index: orxonox/trunk/src/lib/graphics/importer/material.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/material.cc	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/importer/material.cc	(revision 4836)
@@ -25,5 +25,5 @@
 #include <string.h>
 
-//! \todo check if we are in RESOURCE MANAGER-mode
+//! @todo check if we are in RESOURCE MANAGER-mode
 #include "resource_manager.h"
 
@@ -31,6 +31,6 @@
 
 /**
-   \brief creates a Material.
-   \param mtlName Name of the Material to be added to the Material List
+ *  creates a Material.
+ * @param mtlName Name of the Material to be added to the Material List
 */
 Material::Material (const char* mtlName)
@@ -52,5 +52,5 @@
 
 /**
-    \brief deletes a Material
+  *  deletes a Material
 */
 Material::~Material()
@@ -67,5 +67,5 @@
 
 /**
-   \brief sets the material with which the following Faces will be painted
+ *  sets the material with which the following Faces will be painted
 */
 bool Material::select ()
@@ -99,5 +99,5 @@
 
   // setting illumination Model
-  if (this->illumModel == 1) //! \todo make this work, if no vertex-normals are read.
+  if (this->illumModel == 1) //! @todo make this work, if no vertex-normals are read.
     glShadeModel(GL_FLAT);
   else if (this->illumModel >= 2)
@@ -124,6 +124,6 @@
 
 /**
-   \brief Sets the Material Illumination Model.
-   \brief illu illumination Model in int form
+ *  Sets the Material Illumination Model.
+ *  illu illumination Model in int form
 */
 void Material::setIllum (int illum)
@@ -133,6 +133,6 @@
 }
 /**
-   \brief Sets the Material Illumination Model.
-   \brief illu illumination Model in char* form
+ *  Sets the Material Illumination Model.
+ *  illu illumination Model in char* form
 */void Material::setIllum (char* illum)
 {
@@ -141,8 +141,8 @@
 
 /**
-   \brief Sets the Material Diffuse Color.
-   \param r Red Color Channel.
-   \param g Green Color Channel.
-   \param b Blue Color Channel.
+ *  Sets the Material Diffuse Color.
+ * @param r Red Color Channel.
+ * @param g Green Color Channel.
+ * @param b Blue Color Channel.
 */
 void Material::setDiffuse (float r, float g, float b)
@@ -156,6 +156,6 @@
 }
 /**
-   \brief Sets the Material Diffuse Color.
-   \param rgb The red, green, blue channel in char format (with spaces between them)
+ *  Sets the Material Diffuse Color.
+ * @param rgb The red, green, blue channel in char format (with spaces between them)
 */
 void Material::setDiffuse (char* rgb)
@@ -167,8 +167,8 @@
 
 /**
-   \brief Sets the Material Ambient Color.
-   \param r Red Color Channel.
-   \param g Green Color Channel.
-   \param b Blue Color Channel.
+ *  Sets the Material Ambient Color.
+ * @param r Red Color Channel.
+ * @param g Green Color Channel.
+ * @param b Blue Color Channel.
 */
 void Material::setAmbient (float r, float g, float b)
@@ -181,6 +181,6 @@
 }
 /**
-   \brief Sets the Material Ambient Color.
-   \param rgb The red, green, blue channel in char format (with spaces between them)
+ *  Sets the Material Ambient Color.
+ * @param rgb The red, green, blue channel in char format (with spaces between them)
 */
 void Material::setAmbient (char* rgb)
@@ -192,8 +192,8 @@
 
 /**
-   \brief Sets the Material Specular Color.
-   \param r Red Color Channel.
-   \param g Green Color Channel.
-   \param b Blue Color Channel.
+ *  Sets the Material Specular Color.
+ * @param r Red Color Channel.
+ * @param g Green Color Channel.
+ * @param b Blue Color Channel.
 */
 void Material::setSpecular (float r, float g, float b)
@@ -206,6 +206,6 @@
  }
 /**
-   \brief Sets the Material Specular Color.
-   \param rgb The red, green, blue channel in char format (with spaces between them)
+ *  Sets the Material Specular Color.
+ * @param rgb The red, green, blue channel in char format (with spaces between them)
 */
 void Material::setSpecular (char* rgb)
@@ -217,6 +217,6 @@
 
 /**
-   \brief Sets the Material Shininess.
-   \param shini stes the Shininess from float.
+ *  Sets the Material Shininess.
+ * @param shini stes the Shininess from float.
 */
 void Material::setShininess (float shini)
@@ -225,6 +225,6 @@
 }
 /**
-   \brief Sets the Material Shininess.
-   \param shini stes the Shininess from char*.
+ *  Sets the Material Shininess.
+ * @param shini stes the Shininess from char*.
 */
 void Material::setShininess (char* shini)
@@ -234,6 +234,6 @@
 
 /**
-   \brief Sets the Material Transparency.
-   \param trans stes the Transparency from int.
+ *  Sets the Material Transparency.
+ * @param trans stes the Transparency from int.
 */
 void Material::setTransparency (float trans)
@@ -243,6 +243,6 @@
 }
 /**
-   \brief Sets the Material Transparency.
-   \param trans stes the Transparency from char*.
+ *  Sets the Material Transparency.
+ * @param trans stes the Transparency from char*.
 */
 void Material::setTransparency (char* trans)
@@ -252,6 +252,6 @@
 
 /**
-   \brief Adds a Texture Path to the List of already existing Paths
-   \param pathName The Path to add.
+ *  Adds a Texture Path to the List of already existing Paths
+ * @param pathName The Path to add.
 */
 void Material::addTexturePath(const char* pathName)
@@ -263,6 +263,6 @@
 
 /**
-   \brief Sets the Materials Diffuse Map
-   \param dMap the Name of the Image to Use
+ *  Sets the Materials Diffuse Map
+ * @param dMap the Name of the Image to Use
 */
 void Material::setDiffuseMap(const char* dMap)
@@ -281,7 +281,7 @@
 
 /**
-   \brief Sets the Materials Ambient Map
-   \param aMap the Name of the Image to Use
-   \todo implement this
+ *  Sets the Materials Ambient Map
+ * @param aMap the Name of the Image to Use
+   @todo implement this
 */
 void Material::setAmbientMap(const char* aMap)
@@ -292,7 +292,7 @@
 
 /**
-   \brief Sets the Materials Specular Map
-   \param sMap the Name of the Image to Use
-   \todo implement this
+ *  Sets the Materials Specular Map
+ * @param sMap the Name of the Image to Use
+   @todo implement this
 */
 void Material::setSpecularMap(const char* sMap)
@@ -303,7 +303,7 @@
 
 /**
-   \brief Sets the Materials Bumpiness
-   \param bump the Name of the Image to Use
-   \todo implemet this
+ *  Sets the Materials Bumpiness
+ * @param bump the Name of the Image to Use
+   @todo implemet this
 */
 void Material::setBump(const char* bump)
Index: orxonox/trunk/src/lib/graphics/importer/material.h
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/material.h	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/importer/material.h	(revision 4836)
@@ -2,6 +2,6 @@
   \file material.h
   \brief Contains the Material Class that handles Material for 3D-Objects.
-  \todo free SDL-surface when deleting Material.
-  \todo delete imgNameWithPath after use creation.
+  @todo free SDL-surface when deleting Material.
+  @todo delete imgNameWithPath after use creation.
 */
 
Index: orxonox/trunk/src/lib/graphics/importer/md2Model.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/md2Model.cc	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/importer/md2Model.cc	(revision 4836)
@@ -101,6 +101,6 @@
 
 /**
-   \brief initializes an array of vert with the current frame scaled vertices
-   \param verticesList: the list of vertices to interpolate between
+ *  initializes an array of vert with the current frame scaled vertices
+ * @param verticesList: the list of vertices to interpolate between
 
    we won't use the pVertices array directly, since its much easier and we need
@@ -126,5 +126,5 @@
 /**
   \brief sets the animation type
-  \param type: animation type
+* @param type: animation type
 
   the animation types can be looked up in the animationType table
@@ -150,5 +150,5 @@
 /**
   \brief sets the time in seconds passed since the last tick
-  \param time: in sec
+* @param time: in sec
 */
 void MD2Model::tick(float time)
@@ -320,5 +320,5 @@
 /**
   \brief this will load the whole model data (vertices, opengl command list, ...)
-  \param fileName: the name of the model file
+* @param fileName: the name of the model file
   \return true if success
 */
@@ -418,5 +418,5 @@
 /**
   \brief loads the skin/material stuff
-  \param fileName: name of the skin file
+* @param fileName: name of the skin file
   \return true if success
 */
Index: orxonox/trunk/src/lib/graphics/importer/md2Model.h
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/md2Model.h	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/importer/md2Model.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file md2Model.h
-    \brief Definition of an MD2 Model, a model format invented by ID Software.
+  *  Definition of an MD2 Model, a model format invented by ID Software.
 
     We are deeply thankfull for all the wunderfull things id software made for us gamers!
@@ -142,6 +142,6 @@
   void setAnim(int type);
   /**
-     \brief scales the current model
-     \param scaleFactor: the factor [0..1] to use for scaling
+   *  scales the current model
+   * @param scaleFactor: the factor [0..1] to use for scaling
   */
   void scaleModel(float scaleFactor) { this->scaleFactor = scaleFactor;}
Index: orxonox/trunk/src/lib/graphics/importer/model.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/model.cc	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/importer/model.cc	(revision 4836)
@@ -33,5 +33,5 @@
 ////////////////////
 /**
-   \brief creates a new ModelFaceElement
+ *  creates a new ModelFaceElement
 */
 ModelFaceElement::ModelFaceElement()
@@ -45,5 +45,5 @@
 
 /**
-   \brief destroys a ModelFaceElement
+ *  destroys a ModelFaceElement
 */
 ModelFaceElement::~ModelFaceElement()
@@ -54,5 +54,5 @@
 
 /**
-   \brief creates a new ModelFace
+ *  creates a new ModelFace
 */
 ModelFace::ModelFace()
@@ -69,5 +69,5 @@
 
 /**
-   \brief deletes a ModelFace
+ *  deletes a ModelFace
 */
 ModelFace::~ModelFace()
@@ -83,5 +83,5 @@
 
 /**
-   \brief Creates a new ModelGroup
+ *  Creates a new ModelGroup
 */
 ModelGroup::ModelGroup()
@@ -98,5 +98,5 @@
 
 /**
-   \brief deletes a ModelGroup
+ *  deletes a ModelGroup
 */
 ModelGroup::~ModelGroup()
@@ -111,5 +111,5 @@
 
 /**
-   \brief cleans up a ModelGroup
+ *  cleans up a ModelGroup
 
    actually does the same as the delete Operator, but does not delete the predecessing group
@@ -130,5 +130,5 @@
 /////////////
 /**
-   \brief Creates a 3D-Model.
+ *  Creates a 3D-Model.
 
    assigns it a Name and a Type
@@ -166,5 +166,5 @@
 
 /**
-   \brief deletes an Model.
+ *  deletes an Model.
 
    Looks if any from model allocated space is still in use, and if so deleted it.
@@ -206,5 +206,5 @@
 
 /**
-   \brief Finalizes an Object. This can be done outside of the Class.
+ *  Finalizes an Object. This can be done outside of the Class.
 */
 void Model::finalize()
@@ -237,5 +237,5 @@
 //////////
 /**
-   \brief Draws the Models of all Groups.
+ *  Draws the Models of all Groups.
    It does this by just calling the Lists that must have been created earlier.
 */
@@ -280,6 +280,6 @@
 
 /**
-   \brief Draws the Model number groupNumber
-   \param groupNumber The number of the group that will be displayed.
+ *  Draws the Model number groupNumber
+ * @param groupNumber The number of the group that will be displayed.
 
    It does this by just calling the List that must have been created earlier.
@@ -312,6 +312,6 @@
 
 /**
-   \brief Draws the Model with a specific groupName
-   \param groupName The name of the group that will be displayed.
+ *  Draws the Model with a specific groupName
+ * @param groupName The name of the group that will be displayed.
 
    It does this by just calling the List that must have been created earlier.
@@ -339,5 +339,5 @@
 //////////
 /**
-   \brief deletes all the arrays
+ *  deletes all the arrays
 */
 bool Model::deleteArrays()
@@ -359,5 +359,5 @@
 
 /**
-   \brief finalizes an Model.
+ *  finalizes an Model.
  * This funcion is needed, to delete all the Lists, and arrays that are no more
  * needed because they are already imported into openGL.
@@ -375,7 +375,7 @@
 //////////
 /**
-   \brief adds a new Material to the Material List
-   \param material the Material to add
-   \returns the added material
+ *  adds a new Material to the Material List
+ * @param material the Material to add
+ * @returns the added material
  *
  * this also tells this Model, that all the Materials are handled externally
@@ -391,7 +391,7 @@
 
 /**
-   \brief adds a new Material to the Material List
-   \param materialName the name of the Material to add
-   \returns the added material
+ *  adds a new Material to the Material List
+ * @param materialName the name of the Material to add
+ * @returns the added material
 */
 Material* Model::addMaterial(const char* materialName)
@@ -406,7 +406,7 @@
 
 /**
-   \brief finds a Material by its name and returns it
-   \param materialName the Name of the material to search for.
-   \returns the Material if found, NULL otherwise
+ *  finds a Material by its name and returns it
+ * @param materialName the Name of the material to search for.
+ * @returns the Material if found, NULL otherwise
 */
 Material* Model::findMaterialByName(const char* materialName)
@@ -428,6 +428,6 @@
 
 /**
-   \brief parses a group String
-   \param groupString the new Group to create
+ *  parses a group String
+ * @param groupString the new Group to create
 
    This function initializes a new Group.
@@ -452,6 +452,6 @@
 
 /**
-   \brief parses a vertex-String
-   \param vertexString The String that will be parsed.
+ *  parses a vertex-String
+ * @param vertexString The String that will be parsed.
 
    If a vertex line is found this function will inject it into the vertex-Array
@@ -470,8 +470,8 @@
 
 /**
-   \brief parses a vertex-String
-   \param x the X-coordinate of the Vertex to add.
-   \param y the Y-coordinate of the Vertex to add.
-   \param z the Z-coordinate of the Vertex to add.
+ *  parses a vertex-String
+ * @param x the X-coordinate of the Vertex to add.
+ * @param y the Y-coordinate of the Vertex to add.
+ * @param z the Z-coordinate of the Vertex to add.
 
 */
@@ -485,6 +485,6 @@
 
 /**
-   \brief parses a vertexNormal-String
-   \param normalString The String that will be parsed.
+ *  parses a vertexNormal-String
+ * @param normalString The String that will be parsed.
 
    If a vertexNormal line is found this function will inject it into the vertexNormal-Array
@@ -503,8 +503,8 @@
 
 /**
-   \brief adds a VertexNormal.
-   \param x The x coordinate of the Normal.
-   \param y The y coordinate of the Normal.
-   \param z The z coordinate of the Normal.
+ *  adds a VertexNormal.
+ * @param x The x coordinate of the Normal.
+ * @param y The y coordinate of the Normal.
+ * @param z The z coordinate of the Normal.
 
    If a vertexNormal line is found this function will inject it into the vertexNormal-Array
@@ -519,6 +519,6 @@
 
 /**
-   \brief parses a vertexTextureCoordinate-String
-   \param vTextureString The String that will be parsed.
+ *  parses a vertexTextureCoordinate-String
+ * @param vTextureString The String that will be parsed.
 
    If a vertexTextureCoordinate line is found,
@@ -540,7 +540,7 @@
 
 /**
-   \brief adds a Texture Coordinate
-   \param u The u coordinate of the TextureCoordinate.
-   \param v The y coordinate of the TextureCoordinate.
+ *  adds a Texture Coordinate
+ * @param u The u coordinate of the TextureCoordinate.
+ * @param v The y coordinate of the TextureCoordinate.
 
    If a TextureCoordinate line is found this function will inject it into the TextureCoordinate-Array
@@ -556,6 +556,6 @@
 
 /**
-   \brief parses a face-string
-   \param faceString The String that will be parsed.
+ *  parses a face-string
+ * @param faceString The String that will be parsed.
 
    If a face line is found this function will add it to the glList.
@@ -615,7 +615,7 @@
 
 /**
-   \brief adds a new Face
-   \param faceElemCount the number of Vertices to add to the Face.
-   \param type The information Passed with each Vertex
+ *  adds a new Face
+ * @param faceElemCount the number of Vertices to add to the Face.
+ * @param type The information Passed with each Vertex
 */
 bool Model::addFace(int faceElemCount, VERTEX_FORMAT type, ...)
@@ -648,6 +648,6 @@
 
 /**
-   \brief Function that selects a material, if changed in the obj file.
-   \param matString the Material that will be set.
+ *  Function that selects a material, if changed in the obj file.
+ * @param matString the Material that will be set.
 */
 bool Model::setMaterial(const char* matString)
@@ -663,6 +663,6 @@
 
 /**
-   \brief Function that selects a material, if changed in the obj file.
-   \param mtl the Material that will be set.
+ *  Function that selects a material, if changed in the obj file.
+ * @param mtl the Material that will be set.
 */
 bool Model::setMaterial(Material* mtl)
@@ -678,5 +678,5 @@
 
 /**
-   \brief A routine that is able to create normals.
+ *  A routine that is able to create normals.
 
    The algorithm does the following:
@@ -757,5 +757,5 @@
 ////////////
 /**
-   \brief reads and includes the Faces/Materials into the openGL state Machine
+ *  reads and includes the Faces/Materials into the openGL state Machine
 */
 bool Model::importToDisplayList()
@@ -849,5 +849,5 @@
 
 /**
-   \brief reads and includes the Faces/Materials into the openGL state Machine
+ *  reads and includes the Faces/Materials into the openGL state Machine
 */
 bool Model::importToVertexArray()
@@ -869,5 +869,5 @@
 
 /**
-   \brief builds an array of triangles, that can later on be used for obb separation and octree separation
+ *  builds an array of triangles, that can later on be used for obb separation and octree separation
  */
 bool Model::buildTriangleList()
@@ -993,6 +993,6 @@
 
 /**
-   \brief Adds a Face-element (one vertex of a face) with all its information.
-   \param elem The FaceElement to add to the OpenGL-environment.
+ *  Adds a Face-element (one vertex of a face) with all its information.
+ * @param elem The FaceElement to add to the OpenGL-environment.
 
    It does this by searching:
@@ -1034,5 +1034,5 @@
 
 /**
-   \brief Includes a default model
+ *  Includes a default model
 
    This will inject a Cube, because this is the most basic model.
Index: orxonox/trunk/src/lib/graphics/importer/model.h
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/model.h	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/importer/model.h	(revision 4836)
@@ -24,5 +24,5 @@
    MODEL_DISPLAY_LIST means, that a DisplayList will be built out of the model. This model will be STATIC, meaning it cannot be changed after initialisation.
    MODEL_VERTEX_ARRAY means, that a VertexArray will be built out of the model. This moel will be DYNAMIX, meaning that one can change the properties from outside of the model.
- * \todo implement this stuff
+ * @todo implement this stuff
 */
 typedef enum MODEL_TYPE {
@@ -90,5 +90,5 @@
   ModelFace*   firstFace;      //!< The first Face in this group.
   ModelFace*   currentFace;    //!< The current Face in this Group (the one we are currently working with.)
-  int          faceMode;       //!< The Mode the Face is in: initially -1, 0 for FaceList opened, 1 for Material,  3 for triangle, 4 for Quad, 5+ for Poly \todo ENUM...
+  int          faceMode;       //!< The Mode the Face is in: initially -1, 0 for FaceList opened, 1 for Material,  3 for triangle, 4 for Quad, 5+ for Poly @todo ENUM...
   int          faceCount;      //!< The Number of Faces this Group holds.
 
@@ -111,23 +111,23 @@
   void draw(char* groupName) const;
 
-  /** \returns Count of the Models (Groups) in this File */
+  /** @returns Count of the Models (Groups) in this File */
   inline int getGroupCount() const { return this->groupCount; };
 
-  /** \returns a Pointer to the Vertex-Array, if it was deleted it returns NULL */
+  /** @returns a Pointer to the Vertex-Array, if it was deleted it returns NULL */
   inline const GLfloat* getVertexArray() const { return this->vertices->getArray(); };
-  /** \returns the VertexCount of this Model */
+  /** @returns the VertexCount of this Model */
   inline unsigned int getVertexCount() const { return this->vertexCount; };
 
-  /** \returns a Pointer to the Normals-Array, if it was deleted it returns NULL */
+  /** @returns a Pointer to the Normals-Array, if it was deleted it returns NULL */
   inline const GLfloat* getNormalsArray() const { return this->normals->getArray(); };
-  /** \returns the NormalsCount of this Model */
+  /** @returns the NormalsCount of this Model */
   inline unsigned int getNormalsCount() const { return this->normalCount; };
 
-  /** \returns a Pointer to the TexCoord-Array, if it was deleted it returns NULL */
+  /** @returns a Pointer to the TexCoord-Array, if it was deleted it returns NULL */
   inline const GLfloat* getTexCoordArray() const { return this->vTexture->getArray(); };
-  /** \returns the TexCoord-Count of this Model */
+  /** @returns the TexCoord-Count of this Model */
   inline unsigned int getTexCoordCount() const { return this->texCoordCount; };
 
-  /** \returns the Count of Faces of this Model */
+  /** @returns the Count of Faces of this Model */
   inline unsigned int getFaceCount() const { return this->faceCount; };
 
@@ -157,5 +157,5 @@
 
  protected:
-  float            scaleFactor;     //!< The Factor with which the Model should be scaled. \todo maybe one wants to scale the Model after Initialisation
+  float            scaleFactor;     //!< The Factor with which the Model should be scaled. @todo maybe one wants to scale the Model after Initialisation
 
  private:
Index: orxonox/trunk/src/lib/graphics/importer/objModel.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/objModel.cc	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/importer/objModel.cc	(revision 4836)
@@ -28,7 +28,7 @@
 
 /**
-   \brief Crates a 3D-Model, loads in a File and scales it.
-   \param fileName file to parse and load (must be a .obj file)
-   \param scaling The factor that the model will be scaled with.
+ *  Crates a 3D-Model, loads in a File and scales it.
+ * @param fileName file to parse and load (must be a .obj file)
+ * @param scaling The factor that the model will be scaled with.
 */
 OBJModel::OBJModel(const char* fileName, float scaling) : Model(fileName)
@@ -44,5 +44,5 @@
 
 /**
-   \brief deletes an OBJModel.
+ *  deletes an OBJModel.
 
    Looks if any from model allocated space is still in use, and if so deleted it.
@@ -56,6 +56,6 @@
 
 /**
-   \brief Imports a obj file and handles the the relative location
-   \param fileName The file to import
+ *  Imports a obj file and handles the the relative location
+ * @param fileName The file to import
 
    Splits the FileName from the DirectoryName
@@ -86,5 +86,5 @@
 
 /**
-   \brief Reads in the .obj File and sets all the Values.
+ *  Reads in the .obj File and sets all the Values.
    This function does read the file, parses it for the occurence of things like vertices, faces and so on, and executes the specific tasks
 */
@@ -143,5 +143,5 @@
 	  this->addGroup (buffer+2);
 	}
-      else if (!strncmp(buffer, "s ", 2)) //! \todo smoothing groups have to be implemented
+      else if (!strncmp(buffer, "s ", 2)) //! @todo smoothing groups have to be implemented
 	{
 	  PRINTF(2)("smoothing groups not supportet yet. line: %s\n", buffer);
@@ -153,6 +153,6 @@
 
 /** 
-    \brief Function to read in a mtl File.
-    \param mtlFile The .mtl file to read
+  *  Function to read in a mtl File.
+  * @param mtlFile The .mtl file to read
 
     This Function parses all Lines of an mtl File.
Index: orxonox/trunk/src/lib/graphics/importer/primitive_model.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/primitive_model.cc	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/importer/primitive_model.cc	(revision 4836)
@@ -25,9 +25,9 @@
 
 /**
-   \brief Creates a 3D-Model of Primitive-Type type
+ *  Creates a 3D-Model of Primitive-Type type
 
    if you want to just display a Cube/Sphere/Cylinder/... without any material.
 
-   \todo implement Cube/Sphere/Cylinder/...
+   @todo implement Cube/Sphere/Cylinder/...
 */
 PrimitiveModel::PrimitiveModel(PRIMITIVE type, float size, unsigned int detail)
@@ -56,5 +56,5 @@
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 
 */
@@ -65,7 +65,7 @@
 
 /**
-   \brief Builds a Sphere into the Model.
-   \param size The diameter of the Sphere.
-   \param detail The detail of the Sphere.
+ *  Builds a Sphere into the Model.
+ * @param size The diameter of the Sphere.
+ * @param detail The detail of the Sphere.
 */
 void PrimitiveModel::sphereModel(float size, unsigned int detail)
@@ -132,5 +132,5 @@
 }
 /**
-   \brief Creates a Cylinder.
+ *  Creates a Cylinder.
 */
 void PrimitiveModel::cylinderModel(float size, unsigned int detail)
@@ -173,7 +173,7 @@
 
 /**
-   \brief creates a cone inside of this Model
-   \param size The size of the cone
-   \param detail the Detail-level of this cone
+ *  creates a cone inside of this Model
+ * @param size The size of the cone
+ * @param detail the Detail-level of this cone
 */
 void PrimitiveModel::coneModel(float size, unsigned int detail)
@@ -209,7 +209,7 @@
 
 /**
-   \brief creates a Plane inside of this Model
-   \param size The size of this plane
-   \param detail the Detail-level of this plane.
+ *  creates a Plane inside of this Model
+ * @param size The size of this plane
+ * @param detail the Detail-level of this plane.
 */
 void PrimitiveModel::planeModel(float size, unsigned int detail)
Index: orxonox/trunk/src/lib/graphics/importer/primitive_model.h
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/primitive_model.h	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/importer/primitive_model.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*! 
     \file primitive_model.h 
-    \brief a Class to handle different simple models like planes cubes spheres and so on.
+  *  a Class to handle different simple models like planes cubes spheres and so on.
     (cube is also an option of Model, but is extended here.
 */
Index: orxonox/trunk/src/lib/graphics/importer/texture.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/texture.cc	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/importer/texture.cc	(revision 4836)
@@ -28,5 +28,5 @@
 
 /**
-   \brief Constructor for a Texture
+ *  Constructor for a Texture
 */
 Texture::Texture(const char* imageName)
@@ -39,5 +39,5 @@
 
 /**
-   \brief Destructor of a Texture
+ *  Destructor of a Texture
 
    Frees Data, and deletes the textures from GL
@@ -50,7 +50,7 @@
 
 /**
-   \brief Loads a Texture to the openGL-environment.
-   \param surface the Image to load to openGL
-   \returns The ID of the texture.
+ *  Loads a Texture to the openGL-environment.
+ * @param surface the Image to load to openGL
+ * @returns The ID of the texture.
 */
 GLuint Texture::loadTexToGL (SDL_Surface* surface)
@@ -139,6 +139,6 @@
 
 /**
-   \brief loads an Image from a file to a Texture
-   \param imageName The image to load
+ *  loads an Image from a file to a Texture
+ * @param imageName The image to load
 */
 bool Texture::loadImage(const char* imageName)
Index: orxonox/trunk/src/lib/graphics/importer/texture.h
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/texture.h	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/importer/texture.h	(revision 4836)
@@ -3,5 +3,5 @@
   \brief Contains the texture class, that handles the reading of Images into Texutre-files.
 
-  \todo procedural textures
+  @todo procedural textures
 */
 
@@ -27,8 +27,8 @@
   ~Texture();
 
-  /** \returns The textureID of this texture.  */
+  /** @returns The textureID of this texture.  */
   inline GLuint getTexture() {return this->texture;} 
   GLuint loadTexToGL (SDL_Surface* surface);
-  /** \returns true if texture has alpha, false otherwise */
+  /** @returns true if texture has alpha, false otherwise */
   inline bool hasAlpha() const {return bAlpha;}
 
Index: orxonox/trunk/src/lib/graphics/light.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/light.cc	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/light.cc	(revision 4836)
@@ -45,7 +45,7 @@
 
 /**
- * \param root The XML-element to load the Light from
-
-  \todo what to do, if no Light-Slots are open anymore ???
+ * @param root The XML-element to load the Light from
+
+  @todo what to do, if no Light-Slots are open anymore ???
  */
  Light::Light(const TiXmlElement* root)
@@ -71,5 +71,5 @@
 
 /**
-   \brief destroys a Light
+ *  destroys a Light
 */
 Light::~Light()
@@ -81,5 +81,5 @@
 
 /**
- * \param root The XML-element to load the Light from
+ * @param root The XML-element to load the Light from
  */
 void Light::loadParams(const TiXmlElement* root)
@@ -104,8 +104,8 @@
 
 /**
-   \brief sets an emitting Diffuse color of this Light
-   \param r red
-   \param g green
-   \param b blue
+ *  sets an emitting Diffuse color of this Light
+ * @param r red
+ * @param g green
+ * @param b blue
 */
 void Light::setDiffuseColor(GLfloat r, GLfloat g, GLfloat b)
@@ -120,8 +120,8 @@
 
 /**
-   \brief sets an emitting Specular color of this Light
-   \param r red
-   \param g green
-   \param b blue
+ *  sets an emitting Specular color of this Light
+ * @param r red
+ * @param g green
+ * @param b blue
 */
 void Light::setSpecularColor(GLfloat r, GLfloat g, GLfloat b)
@@ -137,8 +137,8 @@
 
 /**
-   \brief Sets the AttenuationType of this Light Source
-   \param constantAttenuation The Constant Attenuation of the Light
-   \param linearAttenuation The Linear Attenuation of the Light
-   \param quadraticAttenuation The Quadratic Attenuation of the Light
+ *  Sets the AttenuationType of this Light Source
+ * @param constantAttenuation The Constant Attenuation of the Light
+ * @param linearAttenuation The Linear Attenuation of the Light
+ * @param quadraticAttenuation The Quadratic Attenuation of the Light
 */
 void Light::setAttenuation(float constantAttenuation, float linearAttenuation, float quadraticAttenuation)
@@ -155,6 +155,6 @@
 
 /**
-   \brief stets the direction of the Spot Light.
-   \param direction The direction of the Spot Light.
+ *  stets the direction of the Spot Light.
+ * @param direction The direction of the Spot Light.
 */
 void Light::setSpotDirection(const Vector& direction)
@@ -169,6 +169,6 @@
 
 /**
-   \brief sets the cutoff angle of the Light.
-   \param cutoff The cutoff angle.
+ *  sets the cutoff angle of the Light.
+ * @param cutoff The cutoff angle.
 */
 void Light::setSpotCutoff(GLfloat cutoff)
@@ -179,5 +179,5 @@
 
 /**
-   \brief draws this Light. Being a World-entity the possibility to do this lies at hand.
+ *  draws this Light. Being a World-entity the possibility to do this lies at hand.
 */
 void Light::draw() const
@@ -190,5 +190,5 @@
 
 /**
-   \brief Prints out some nice formated debug information about the Light
+ *  Prints out some nice formated debug information about the Light
 */
 void Light::debug() const
@@ -213,5 +213,5 @@
 ******************/
 /**
-   \brief standard constructor for a Light
+ *  standard constructor for a Light
 */
 LightManager::LightManager ()
@@ -228,5 +228,5 @@
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 
    first disables Lighting
@@ -248,10 +248,10 @@
 
 /**
-   \brief singleton-Reference to the Light-class
+ *  singleton-Reference to the Light-class
 */
 LightManager* LightManager::singletonRef = NULL;
 
 /**
-  \param root the XML-element to load the LightManager's settings from
+* @param root the XML-element to load the LightManager's settings from
  */
 void LightManager::loadParams(const TiXmlElement* root)
@@ -265,5 +265,5 @@
 
 /**
-  \param root The XML-element to load Lights from
+* @param root The XML-element to load Lights from
  */
 void LightManager::loadLights(const TiXmlElement* root)
@@ -281,8 +281,8 @@
 // set Attributes
 /**
-   \brief sets the ambient Color of the Scene
-   \param r red
-   \param g green
-   \param b blue
+ *  sets the ambient Color of the Scene
+ * @param r red
+ * @param g green
+ * @param b blue
 */
 void LightManager::setAmbientColor(GLfloat r, GLfloat g, GLfloat b)
@@ -297,5 +297,5 @@
 
 /**
-  \param light the Light to register to the LightManager
+* @param light the Light to register to the LightManager
 
   This is done explicitely by the constructor of a Light
@@ -314,5 +314,5 @@
 
 /**
-  \param light The light to unregister from the LightManager
+* @param light The light to unregister from the LightManager
 
   This is done every time a Light is destroyed explicitely by the Light-destructor
@@ -333,5 +333,5 @@
 
 /**
-   \brief draws all the Lights in their appropriate position
+ *  draws all the Lights in their appropriate position
  */
 void LightManager::draw() const
@@ -346,5 +346,5 @@
 
 /**
-   \brief outputs debug information about the Class and its lights
+ *  outputs debug information about the Class and its lights
 */
 void LightManager::debug() const
Index: orxonox/trunk/src/lib/graphics/light.h
===================================================================
--- orxonox/trunk/src/lib/graphics/light.h	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/light.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file light.h
-    \brief Handles Lights.
+  *  Handles Lights.
 
     A Light is one of the more important things in a 3D-environment,
@@ -38,5 +38,5 @@
   void setSpotCutoff(GLfloat cutoff);
 
-  /** \returns the lightNumber*/
+  /** @returns the lightNumber*/
   int getLightNumber() const {return this->lightNumber;}
 
@@ -92,5 +92,5 @@
  public:
   virtual ~LightManager();
-  /** \returns a Pointer to the only object of this Class */
+  /** @returns a Pointer to the only object of this Class */
   inline static LightManager* getInstance() { if (!singletonRef) singletonRef = new LightManager();  return singletonRef; };
 
Index: orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.cc	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.cc	(revision 4836)
@@ -22,6 +22,6 @@
 
 /**
-   \brief standard constructor
-   \todo this constructor is not jet implemented - do it
+ *  standard constructor
+   @todo this constructor is not jet implemented - do it
 */
 Quadtree::Quadtree (modelInfo* pModelInfo)
@@ -33,5 +33,5 @@
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 
 */
@@ -43,5 +43,5 @@
 
 /**
-   \brief gives the signal to separate the model into a quadtree
+ *  gives the signal to separate the model into a quadtree
  */
 void Quadtree::separate()
@@ -50,5 +50,5 @@
 
 /**
-   \brief draws the debug quadtree boxes around the model
+ *  draws the debug quadtree boxes around the model
  */
 void Quadtree::drawTree(int depth, int drawMode) const
Index: orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.h
===================================================================
--- orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.h	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file quadtree.h
-    \brief Definition of a spatial data separation using quadtree
+  *  Definition of a spatial data separation using quadtree
 
 */
Index: orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.cc	(revision 4836)
@@ -22,5 +22,5 @@
 
 /**
-   \brief standard constructor
+ *  standard constructor
 */
 QuadtreeNode::QuadtreeNode (sTriangleExt* triangles, int numTriangles, Quadtree* quadtree)
@@ -31,5 +31,5 @@
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 
 */
@@ -41,6 +41,6 @@
 
 /**
-   \brief gives the signal to separate the model into a quadtree
-   \param treeDepth the max depth, the steps to go if treeDept == 0 leaf reached
+ *  gives the signal to separate the model into a quadtree
+ * @param treeDepth the max depth, the steps to go if treeDept == 0 leaf reached
  */
 void QuadtreeNode::separateNode(int treeDepth)
@@ -49,6 +49,6 @@
 
 /**
-   \brief gives the signal to separate the model into a quadtree
-   \param treeDepth the max depth, the steps to go if treeDept == 0 leaf reached
+ *  gives the signal to separate the model into a quadtree
+ * @param treeDepth the max depth, the steps to go if treeDept == 0 leaf reached
 */
 void QuadtreeNode::separateNode(float minLength)
@@ -57,5 +57,5 @@
 
 /**
-   \brief draws the debug quadtree boxes around the model
+ *  draws the debug quadtree boxes around the model
  */
 void QuadtreeNode::drawTree(int depth, int drawMode) const
Index: orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.h
===================================================================
--- orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.h	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/spatial_separation/quadtree_node.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file proto_class.h
-    \brief Definition of ...
+  *  Definition of ...
 
 */
Index: orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 4836)
@@ -24,7 +24,7 @@
 
 /**
-   \brief standard constructor
-   \param model the model that is to be separated
-   \param overlapSize each box will overlap for a given size
+ *  standard constructor
+ * @param model the model that is to be separated
+ * @param overlapSize each box will overlap for a given size
 
    The boxes are overlaping because this makes collision detection a lot simpler
@@ -38,7 +38,7 @@
 
 /**
-   \brief standard constructor
-   \param model the model that is to be separated
-   \param overlapSize each box will overlap for a given size
+ *  standard constructor
+ * @param model the model that is to be separated
+ * @param overlapSize each box will overlap for a given size
 
    The boxes are overlaping because this makes collision detection a lot simpler
@@ -53,5 +53,5 @@
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 
 */
@@ -63,6 +63,6 @@
 /**
   \brief creates a quadtree
-  \param model the model to do a quadtree on
-  \param minLength the minimal length of a quadtree node
+* @param model the model to do a quadtree on
+* @param minLength the minimal length of a quadtree node
   \return the new quadtree
  */
@@ -76,6 +76,6 @@
 /**
   \brief creates a quadtree
-  \param model the model to do a quadtree on
-  \param minLength the minimal length of a quadtree node
+* @param model the model to do a quadtree on
+* @param minLength the minimal length of a quadtree node
   \return the new quadtree
  */
@@ -88,6 +88,6 @@
 /**
   \brief creates a quadtree
-  \param model the model to do a quadtree on
-  \param minLength the minimal length of a quadtree node
+* @param model the model to do a quadtree on
+* @param minLength the minimal length of a quadtree node
   \return the new quadtree
 */
@@ -103,5 +103,5 @@
 /**
   \brief gets the maximal dimension of a model
-  \param playerModel the model that this measurement is based on
+* @param playerModel the model that this measurement is based on
   \return the maximal dimension of the model
  */
Index: orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.h
===================================================================
--- orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.h	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file spatial_separation.h
-    \brief Definition of the generic spatial separation process of model data
+  *  Definition of the generic spatial separation process of model data
 
  */
Index: orxonox/trunk/src/lib/graphics/text_engine.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/text_engine.cc	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/text_engine.cc	(revision 4836)
@@ -42,7 +42,7 @@
 ////////////
 /**
-   \brief creates a new Text Element
-   \param font the Font to render this text in
-   \param type The renderType to display this font in
+ *  creates a new Text Element
+ * @param font the Font to render this text in
+ * @param type The renderType to display this font in
 
    this constructor is private, because the user should initialize
@@ -67,5 +67,5 @@
 
 /**
-   \brief deletes a Text out of memory
+ *  deletes a Text out of memory
 
    This also ereases the text from the textList of the TextEngine
@@ -77,6 +77,6 @@
 
 /**
-   \brief tells the Text, that it should folow a PNode
-   \param bindNode: the node to bind this text to
+ *  tells the Text, that it should folow a PNode
+ * @param bindNode: the node to bind this text to
 */
 void Text::setBindNode(PNode* bindNode)
@@ -86,6 +86,6 @@
 
 /**
-   \brief sets the Type of this Text
-   \param type the type to set.
+ *  sets the Type of this Text
+ * @param type the type to set.
 */
 void Text::setType(int type)
@@ -98,6 +98,6 @@
 
 /**
-   \brief Sets a new Text to the font
-   \param text the new text to set
+ *  Sets a new Text to the font
+ * @param text the new text to set
 */
 void Text::setText(const char* text)
@@ -129,7 +129,7 @@
 
 /**
-   \brief sets a Position.
-   \param x the x-position in pixels from the left border
-   \param y the y-position in pixels from the top border
+ *  sets a Position.
+ * @param x the x-position in pixels from the left border
+ * @param y the y-position in pixels from the top border
 */
 void Text::setPosition(int x, int y)
@@ -140,6 +140,6 @@
 
 /**
-   \brief sets the text-alignment
-   \param alignment the alignment to set
+ *  sets the text-alignment
+ * @param alignment the alignment to set
 */
 void Text::setAlignment(TEXT_ALIGNMENT alignment)
@@ -149,8 +149,8 @@
 
 /**
-   \brief sets a new color to the font
-   \param r Red
-   \param g Green
-   \param b Blue
+ *  sets a new color to the font
+ * @param r Red
+ * @param g Green
+ * @param b Blue
 */
 void Text::setColor(Uint8 r, Uint8 g, Uint8 b)
@@ -162,5 +162,5 @@
 
 /**
-   \brief creates a texture out of the given parameters
+ *  creates a texture out of the given parameters
 
    this has to be called every time by the user, to if changes were made.
@@ -185,5 +185,5 @@
 
 /**
-   \brief draws the Font
+ *  draws the Font
 */
 void Text::draw() const
@@ -269,5 +269,5 @@
 
 /**
-   \brief prints out some nice debug information about this text
+ *  prints out some nice debug information about this text
 */
 void Text::debug() const
@@ -285,8 +285,8 @@
 ////////////
 /**
-   \brief Loads a Font from an SDL_surface into a texture.
-   \param surface The surface to make the texture of
-   \param texCoord The texture coordinates of the 4 corners of the texture
-   \returns the ID of the texture
+ *  Loads a Font from an SDL_surface into a texture.
+ * @param surface The surface to make the texture of
+ * @param texCoord The texture coordinates of the 4 corners of the texture
+ * @returns the ID of the texture
 */
 GLuint Text::loadTexture(SDL_Surface *surface, TexCoord* texCoord)
@@ -366,7 +366,7 @@
 
 /**
-   \brief Quick utility function for texture creation
-   \param input an integer
-   \returns the next bigger 2^n-integer than input
+ *  Quick utility function for texture creation
+ * @param input an integer
+ * @returns the next bigger 2^n-integer than input
 */
 int Text::powerOfTwo(int input)
@@ -385,10 +385,10 @@
 ////////////
 /**
-   \brief constructs a Font
-   \param fontFile the File to load the font from
-   \param fontSize the Size of the Font in Pixels
-   \param r Red value of the Font.
-   \param g Green value of the Font.
-   \param b Blue value of the Font.
+ *  constructs a Font
+ * @param fontFile the File to load the font from
+ * @param fontSize the Size of the Font in Pixels
+ * @param r Red value of the Font.
+ * @param g Green value of the Font.
+ * @param b Blue value of the Font.
 */
 Font::Font(const char* fontFile, unsigned int fontSize, Uint8 r, Uint8 g, Uint8 b)
@@ -413,5 +413,5 @@
 
 /**
-   \brief destructs a font
+ *  destructs a font
 */
 Font::~Font()
@@ -433,7 +433,7 @@
 
 /**
-   \brief sets The Font.
-   \param fontFile The file containing the font.
-   \returns true if loaded, false if something went wrong, or if a font was loaded before.
+ *  sets The Font.
+ * @param fontFile The file containing the font.
+ * @returns true if loaded, false if something went wrong, or if a font was loaded before.
 */
 bool Font::setFont(const char* fontFile)
@@ -462,6 +462,6 @@
 
 /**
-   \brief sets a specific renderStyle
-   \param renderStyle the Style to render: a char-array containing:
+ *  sets a specific renderStyle
+ * @param renderStyle the Style to render: a char-array containing:
    i: italic, b: bold, u, underline
 */
@@ -485,6 +485,6 @@
 
 /**
-   \brief Sets a new Size to the font
-   \param fontSize The new Size in pixels.
+ *  Sets a new Size to the font
+ * @param fontSize The new Size in pixels.
 */
 void Font::setSize(unsigned int fontSize)
@@ -494,8 +494,8 @@
 
 /**
-   \brief sets a new color to the font
-   \param r Red
-   \param g Green
-   \param b Blue
+ *  sets a new color to the font
+ * @param r Red
+ * @param g Green
+ * @param b Blue
 */
 void Font::setFastColor(Uint8 r, Uint8 g, Uint8 b)
@@ -507,5 +507,5 @@
 
 /**
-   \returns the maximum height of the Font, if the font was initialized, 0 otherwise
+ * @returns the maximum height of the Font, if the font was initialized, 0 otherwise
 */
 int Font::getMaxHeight()
@@ -518,5 +518,5 @@
 
 /**
-   \returns the maximum ascent of the Font, if the font was initialized, 0 otherwise
+ * @returns the maximum ascent of the Font, if the font was initialized, 0 otherwise
 
    the ascent is the pixels of the font above the baseline
@@ -531,5 +531,5 @@
 
 /**
-   \returns the maximum descent of the Font, if the font was initialized, 0 otherwise
+ * @returns the maximum descent of the Font, if the font was initialized, 0 otherwise
 
    the descent is the pixels of the font below the baseline
@@ -544,6 +544,6 @@
 
 /**
-   \param character The character to get info about.
-   \returns a Glyph struct of a character. This Glyph is a pointer,
+ * @param character The character to get info about.
+ * @returns a Glyph struct of a character. This Glyph is a pointer,
    and MUST be deleted by the user..
 
@@ -581,5 +581,5 @@
 
   this->initGlyphs(32, numberOfGlyphs);
-  this->glyphArray[32]->width = fontSize/3; //!< \todo find out the real size of a Space
+  this->glyphArray[32]->width = fontSize/3; //!< @todo find out the real size of a Space
 
   int rectSize = this->findOptimalFastTextureSize();
@@ -695,7 +695,7 @@
 
 /**
-   \brief stores Glyph Metrics in an Array.
-   \param from The Glyph to start from.
-   \param count The number of Glyphs to start From.
+ *  stores Glyph Metrics in an Array.
+ * @param from The Glyph to start from.
+ * @param count The number of Glyphs to start From.
 */
 void Font::initGlyphs(Uint16 from, Uint16 count)
@@ -722,7 +722,7 @@
 
 /**
-   \returns the optimal size to use as the texture size
-
-   \todo: this algorithm can be a lot more faster, althought it does
+ * @returns the optimal size to use as the texture size
+
+   @todo: this algorithm can be a lot more faster, althought it does
    not really matter within the init-context, and 128 glyphs.
 
@@ -773,5 +773,5 @@
 
 /**
-   \brief a simple function to get some interesting information about this class
+ *  a simple function to get some interesting information about this class
 */
 void Font::debug()
@@ -800,5 +800,5 @@
 ///////////////////
 /**
-   \brief standard constructor
+ *  standard constructor
 */
 TextEngine::TextEngine ()
@@ -812,10 +812,10 @@
 
 /**
-   \brief the singleton reference to this class
+ *  the singleton reference to this class
 */
 TextEngine* TextEngine::singletonRef = NULL;
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 
 */
@@ -830,5 +830,5 @@
 
 /**
-   \brief function to enable TTF_Fonts
+ *  function to enable TTF_Fonts
 */
 void TextEngine::enableFonts()
@@ -846,5 +846,5 @@
 
 /**
-   \brief function to disable TTF_fonts
+ *  function to disable TTF_fonts
 */
 void TextEngine::disableFonts()
@@ -859,5 +859,5 @@
 
 /**
-   \brief creates a new Text with a certain font.
+ *  creates a new Text with a certain font.
    \see Font::Font
    \see Text::Text
@@ -884,6 +884,6 @@
 
 /**
-   \brief removes a Text from the List
-   \param text: the text to delete
+ *  removes a Text from the List
+ * @param text: the text to delete
 
    this only ereases allocated memory, and removes the text
@@ -898,5 +898,5 @@
 
 /**
-   \brief deletes all the Text, and tries to delete all allocated fonts
+ *  deletes all the Text, and tries to delete all allocated fonts
 */
 void TextEngine::flush()
@@ -913,5 +913,5 @@
 
 /**
-   \brief draws all the Texts that have been initialized
+ *  draws all the Texts that have been initialized
 */
 void TextEngine::draw() const
@@ -937,7 +937,7 @@
 
 /**
-   \brief outputs some nice Debug information
-
-   \todo there should also be something outputted about Font
+ *  outputs some nice Debug information
+
+   @todo there should also be something outputted about Font
 */
 void TextEngine::debug() const
@@ -961,6 +961,6 @@
 
 /**
-   \brief checks if the compiled version and the local version of SDL_ttf match.
-   \returns true if match, false otherwise
+ *  checks if the compiled version and the local version of SDL_ttf match.
+ * @returns true if match, false otherwise
 */
 bool TextEngine::checkVersion()
Index: orxonox/trunk/src/lib/graphics/text_engine.h
===================================================================
--- orxonox/trunk/src/lib/graphics/text_engine.h	(revision 4835)
+++ orxonox/trunk/src/lib/graphics/text_engine.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file text_engine.h
-    \brief Definition of textEngine, the Font and the Text
+  *  Definition of textEngine, the Font and the Text
 
     Text is the text outputed.
@@ -116,5 +116,5 @@
   void setPosition(int x, int y);
   void setAlignment(TEXT_ALIGNMENT alignment);
-  /** \param blending the blending intensity to set (between 0.0 and 1.0) */
+  /** @param blending the blending intensity to set (between 0.0 and 1.0) */
   inline void setBlending(float blending) {this->blending = blending;}
 
@@ -145,5 +145,5 @@
   // placement in openGL
   GLuint            texture;        //!< A GL-texture to hold the text
-  TexCoord          texCoord;       //!< Texture-coordinates \todo fix this to have a struct
+  TexCoord          texCoord;       //!< Texture-coordinates @todo fix this to have a struct
   SDL_Rect          posSize;        //!< An SDL-Rectangle representing the position and size of the Text on the screen.
 
@@ -174,7 +174,7 @@
   void setStyle(const char* renderStyle);
 
-  /** \returns a Pointer to the Array of Glyphs */
+  /** @returns a Pointer to the Array of Glyphs */
   inline Glyph** getGlyphArray() const {return glyphArray;}
-  /** \returns the texture to the fast-texture */
+  /** @returns the texture to the fast-texture */
   inline GLuint getFastTextureID() const {return fastTextureID;}
 
@@ -217,5 +217,5 @@
  public:
   virtual ~TextEngine();
-  /** \returns a Pointer to the only object of this Class */
+  /** @returns a Pointer to the only object of this Class */
   inline static TextEngine* getInstance() { if (!singletonRef) singletonRef = new TextEngine();  return singletonRef; };
 
